
#[cfg(target_family = "wasm")]
use console_error_panic_hook;

#[cfg(target_family = "wasm")]
use void_fe::void_app;

#[cfg(target_family = "wasm")]
use wasm_logger;

#[cfg(any(target_family = "unix", target_family = "windows"))]
fn main() {
    print!("You can't run this without targeting web assembly. Try running `dioxus serve`.")
}

#[cfg(target_family = "wasm")]
fn main() {
    // init debug tool for WebAssembly
    wasm_logger::init(wasm_logger::Config::default());
    console_error_panic_hook::set_once();

    dioxus_web::launch(void_app::DioxusApp);
}
